extends Control

var holdDownTimer = Timer.new()
export var longPressInterval: float = 1.2

signal shortPressed
signal longPressed

func _ready():
	holdDownTimer.one_shot = true
	holdDownTimer.connect("timeout", self, "_longPressed")
	add_child(holdDownTimer)

func _longPressed():
	emit_signal("longPressed")
	print("long press")

func _pressed():
	if holdDownTimer.get_time_left() != 0:
		holdDownTimer.stop()
		emit_signal("shortPressed")
		print("short press")

func _on_Button_button_down():
	holdDownTimer.start(longPressInterval)
	
